Attribute VB_Name = "modul_Calaym_SSRelated"
' Calaym - Media player GUI for sound systems
' Copyright (C) 2002-2014 Jan Vorel
'
' You can redistribute the official software packages under the terms of the
' User-friendly Distribution License Version 2.00, published by Jan Vorel
'
' You can use this software under the terms of the
' User-friendly Open-source License Version 1.00, published by Jan Vorel
'
' You should have received copies of the licenses along with this program. If
' not, contact the author.
'
' If you want to use or distribute this software under a different license, ask
' the author.
'
' The software is provided "as is" without warrenty of any kind. The Licensor
' cannot be held responsible for any damage caused by using, extracting or
' installing the software.

Option Explicit
Option Base 0


Public Sub UpdatePanning()
  If CurMusic = ctSSLayer_MusicTypeTracker And Not xSongIsMidi Then
    Call ctSSLayer_UpdatePanning(SongPointer(CurrentSongID), xModPanning)
    End If
  End Sub

Public Function GetDeviceName(ByRef DeviceID As Long) As String
  Dim xLong1 As Long
  
  GetDeviceName = ctSSLayer_GetDeviceName(DeviceID, xLong1)
  If Len(GetDeviceName) = 0& Then
'Debug.Print "DevPatch1"
    GetDeviceName = Replace(LoadResEx_String(3200&), "$", CStr((xLong1 And &HFF&) + 1&))
    End If
  GetDeviceName = Replace(LoadResEx_String(3201& + ((xLong1 And &HFF00&) \ &H100&)), "$", GetDeviceName)
  End Function
